﻿using ff14bot.Helpers;
using Newtonsoft.Json;
using System.Configuration;
using System.IO;

namespace MultiBot.Settings
{
    public class MultiBotSettings : JsonSettings
    {
        [JsonIgnore] private static MultiBotSettings _instance;
        public static MultiBotSettings instance { get { return _instance ?? (_instance = new MultiBotSettings("MultiBotSettings"));  } }
        public MultiBotSettings(string filename) : base(Path.Combine(CharacterSettingsDirectory, "MultiBot.json")) { }

        [Setting]
        public string WhichBotToRun { get; set; }
    }
}
